Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.xml
Class VersionProcessException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.jbo.server.xml.VersionProcessException`

All Implemented Interfaces:
  java.io.Serializable

public class VersionProcessException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`VersionProcessException()` The Default Constructor of VersionProcessException.
`VersionProcessException(java.lang.String tagName, java.lang.String value, short fromMajorVer, short fromMinorVer, short toMajorVer, short toMinorVer)` The Constructor of VersionProcessException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionProcessException

    public VersionProcessException()

  The Default Constructor of VersionProcessException. This Exception is thrown When there is error in converting an oldversion of XML element to newer version of Jbo XML Element

### VersionProcessException

    public VersionProcessException(java.lang.String tagName,
                                   java.lang.String value,
                                   short fromMajorVer,
                                   short fromMinorVer,
                                   short toMajorVer,
                                   short toMinorVer)

  The Constructor of VersionProcessException. This Exception is thrown When there is error in converting an oldversion of XML element to newer version of Jbo XML Element
Parameters:
  `tagName` - Element Tag Name
  `value` - Any Additional Value (like Attribue Name)
  `fromMajorVer` - VersionTag From Major Version
  `fromMinorVer` - VersionTag From Minor Version
  `toMajorVer` - VersionTag To Major Version
  `toMinorVer` - VersionTag To Major Version

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.